* {
    padding: 0%;
    margin: 0%;
    font-family: Arial, Helvetica, sans-serif;
    text-decoration: none;
}

/*Page principale*/

.overallContent {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    background-color: transparent;
}

.contentProfile {
    background-color: rgb(0, 0, 128);
    height: 19vw;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 10px rgb(0, 0, 128, 0.8);
}

.profile {
    display: flex;
    flex-direction: row;
    background-color: transparent;
    height: 13vw;
    align-items: center;
    justify-content: center;
    gap: 0.8vw;
}

.imgPP {
    height: 94%;
}

.profileText h2 {
    font-size: 1.4vw;
}

.profileText {
    color: white;
    font-size: 1.11vw;
}

.profileText p {
    margin-top: 0.06vw;
    margin-bottom: 0.25vw;
}

.profileText a {
    color: white;
    font-size: 1.4vw;
}

.return {
    margin: 1.4vw;
    padding: 0.75vw;
    background-color: rgb(0, 0, 128);
    color: white;
    font-size: 160%;
    border-radius: 16px;
}

.content1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2.5vw;
}

.content1 h1 {
    color: rgb(0, 0, 128);
}

.content1 p {
    margin-top: 0.2vw;
    font-size: 1.1vw;
}

.content2 {
    display: flex;
    margin-top: 3%;
    width: 100%;
}

.left {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    flex: 4;
    text-align: center;
    align-items: center;
}

.left2 {
    flex: 1;
    background-color: transparent;
}

.left h3 {
    font-size: 130%;
}

.right {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    flex: 4;
    text-align: center;
    align-items: center;
}

.right2 {
    flex: 1;
    background-color: transparent;
}

.right h3 {
    font-size: 130%;
}

.titleColum {
    margin-bottom: 5%;
    background-color: transparent;
    color: rgb(0, 0, 128);
    font-size: 170%;
}

.project {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: transparent;
    width: 31vw;
    height: 19.6vw;
    margin-bottom: 6%;
    border-radius: 20px;
    border: 1px solid rgb(0, 0, 128);
    color: black;
}

.project:hover {
    transform: scale(1.05);
}

.titleProject {
    margin-top: 20px;
    margin-bottom: 20px;
}

.imgProject {
    width: 60%;
    border-radius: 20px;
}

.textProject {
    text-align: left;
    margin-top: 6%;
    font-size: 110%;
}

.content3 {
    display: flex;
    margin-top: 3%;
}

.content3 h2 {
    color: rgb(0, 0, 128);
    font-size: 170%;
}

.content4 {
    display: flex;
    margin-top: 3%;
    width: 100%;
}

.left3 {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    flex: 3;
    text-align: center;
    align-items: center;
}

.left4 {
    flex: 2;
    background-color: transparent;
}


.left3 h3 {
    font-size: 130%;
}

.right3 {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    flex: 3;
    text-align: center;
    align-items: center;
}

.right4 {
    flex: 2;
    background-color: transparent;
}


.right3 h3 {
    font-size: 130%;
}

.contentSkills {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: transparent;
    width: 80%;
    height: auto;
    margin-bottom: 1%;
    color: black;
}

.titleSkills {
    margin-bottom: 3%;
}

.divSkills {
    background-color: transparent;
    width: 48%;
    text-align: left;
    margin-bottom: 5%;
}

.nameSkills {
    background-color: transparent;
    margin-bottom: 2%;
    font-size: 110%;
}

.skillLevels {
    display: flex;
}

.carreVide {
    width: 20px;
    height: 20px;
    background: transparent;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;

}

.carreRouge {
    width: 20px;
    height: 20px;
    background: red;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.carreOrange {
    width: 20px;
    height: 20px;
    background: orange;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.carreJaune {
    width: 20px;
    height: 20px;
    background: yellow;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.carreVert {
    width: 20px;
    height: 20px;
    background: green;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.carreBleu {
    width: 20px;
    height: 20px;
    background: blue;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.content5 {
    display: flex;
    margin-top: 1%;
}

.legendSkills {
    display: flex;
    margin-top: 20px;
    justify-content: center;
    align-items: center;
}

.legendSkills .nameSkills {
    font-size: 90%;
}

.legendSkills .carreRouge {
    width: 15px;
    height: 15px;
    background: red;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.legendSkills .carreOrange {
    width: 15px;
    height: 15px;
    background: orange;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.legendSkills .carreJaune {
    width: 15px;
    height: 15px;
    background: yellow;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.legendSkills .carreVert {
    width: 15px;
    height: 15px;
    background: green;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

.legendSkills .carreBleu {
    width: 15px;
    height: 15px;
    background: blue;
    border: 1px solid black;
    border-radius: 5px;
    margin-right: 2%;
}

footer {
    text-align: center;
    padding: 2%;
}

/*Page des projets*/

.contentProject {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: transparent;
    width: 80%;
}

.title {
    text-align: center;
}

.text {
    background-color: transparent;
}

.contentProject h1 {
    margin-bottom: 14%;
}

.contentProject h3 {
    margin-bottom: 4%;
    font-size: 140%;
    color: rgb(0, 0, 128);
    background-color: transparent;
}

.contentProject p {
    text-align: left;
    margin-bottom: 25px;
    font-size: 120%;
    background-color: transparent;
}

.contentProjectPhoto {
    margin-top: 1%;
    background-color: transparent;
    width: 60%;
    text-align: center;
}

.photo {
    width: 50vw;
    height: auto;
    border-radius: 20px;
}

.contentProjectPhoto p {
    margin-bottom: 3%;
}